<?php

namespace Hura8\Components\Analytics\Model;

use Hura8\Interfaces\AppResponse;
use Hura8\Interfaces\iEntityModel;
use Hura8\System\Model\aEntityBaseModel;

class TrackingModel extends aEntityBaseModel implements iEntityModel
{

    protected $tb_track_ip = "tb_analyics_track_ip";

    public function __construct() {
        parent::__construct(
            "analyics_user_log"
        );
    }


    protected function extendedFilterOptions(): array
    {
        // TODO: Implement extendedFilterOptions() method.
    }

    protected function _buildQueryConditionExtend(array $filter_condition): ?array
    {
        // TODO: Implement _buildQueryConditionExtend() method.
    }


}
